<ul>
  <li>*ngIf :
    <ng-container *ngIf="person.age < 40; else old">you're young</ng-container>
    <ng-template #old>you're less young</ng-template>
  </li>
  <li>*ngFor :
    <ul>
      <li *ngFor="let name of names">{{name}}</li>
    </ul>
  </li>
  <li>ngSwitch</li>
</ul>
